Visual LISP, AutoLISP and General Customization

Reply
*Uhden, John
Message 1 of 19 (105 Views)

Clear the "Previous" selection set

105 Views, 18 Replies
03-04-2002 10:57 AM
I thought this was posted here, but I can't seem to find any trace.
Is there a way to clear the previous selection set without using the (command) function?

--
John Uhden, Cadlantic/formerly CADvantage
[ mailto:juhden@cadlantic.com ]
[ http://www.cadlantic.com ]
2 Village Road
Sea Girt, NJ 08750
Tel. 732-974-1711
*Piercey, Jason
Message 2 of 19 (105 Views)

Re: Clear the "Previous" selection set

03-04-2002 12:25 PM in reply to: *Uhden, John
Hi John,
I belive that solution I saw was to create a dummy point, then entdel.


--
-Jason

Member of the Autodesk Discussion Forum Moderator Program

"John Uhden" wrote in message
news:BE6677E7C9AAFA4D5CB06228D7BE0C90@in.WebX.maYIadrTaRb...
> I thought this was posted here, but I can't seem to find any trace.
> Is there a way to clear the previous selection set without using the
(command) function?
>
> --
> John Uhden, Cadlantic/formerly CADvantage
> [ mailto:juhden@cadlantic.com ]
> [ http://www.cadlantic.com ]
> 2 Village Road
> Sea Girt, NJ 08750
> Tel. 732-974-1711
>
*Piercey, Jason
Message 3 of 19 (105 Views)

Re:

03-04-2002 12:35 PM in reply to: *Uhden, John
Hmmm. guess I should have tried that first....

--
-Jason

Member of the Autodesk Discussion Forum Moderator Program
*Bell, R. Robert
Message 4 of 19 (105 Views)

Re:

03-04-2002 01:14 PM in reply to: *Uhden, John
You were close:

Command: select
Select objects: Specify opposite corner: 3 found
Select objects:
Command: (command "._point" "0,0" "._erase" (entlast) "")
._point
Current point modes: PDMODE=0 PDSIZE=0.0000
Specify a point: 0,0
Command: ._erase
Select objects: 1 found
Select objects:
Command: nil
Command: (ssget "P")
nil

I found that above tidbit in a post from Jim Claypool.

--
R. Robert Bell, MCSE
www.AcadX.com


"Jason Piercey" wrote in message
news:3CC8BE3EC78C46DC5B7117FFAF1A1475@in.WebX.maYIadrTaRb...
> Hmmm. guess I should have tried that first....
>
> --
> -Jason
>
> Member of the Autodesk Discussion Forum Moderator Program
>
>
>
*Wengerd, Owen
Message 5 of 19 (105 Views)

Re: Clear the "Previous" selection set

03-04-2002 01:30 PM in reply to: *Uhden, John
John:

> Is there a way to clear the previous selection set without
> using the (command) function?

I believe any call to (ssget) sets the previous selection to the result.
Judicious use of (sssetfirst) and (ssget "I") might work. :smileyhappy:
--
Owen Wengerd
President, ManuSoft ==> http://www.manusoft.com
VP Americas, CADLock, Inc. ==> http://www.cadlock.com
*Bell, R. Robert
Message 6 of 19 (105 Views)

Re:

03-04-2002 01:30 PM in reply to: *Uhden, John
Beautiful Owen!

Command: select
Select objects: Specify opposite corner: 3 found
Select objects:
Command: (sssetfirst nil nil)
(nil nil)
Command: (ssget "I")
nil

--
R. Robert Bell, MCSE
www.AcadX.com


"Owen Wengerd" wrote in message
news:22CA0466C61C87C240623B00AD2D13A5@in.WebX.maYIadrTaRb...
> John:
>
> > Is there a way to clear the previous selection set without
> > using the (command) function?
>
> I believe any call to (ssget) sets the previous selection to the result.
> Judicious use of (sssetfirst) and (ssget "I") might work. :smileyhappy:
> --
> Owen Wengerd
> President, ManuSoft ==> http://www.manusoft.com
> VP Americas, CADLock, Inc. ==> http://www.cadlock.com
>
*Uhden, John
Message 7 of 19 (105 Views)

Re:

03-04-2002 08:59 PM in reply to: *Uhden, John
You didn't go far enough...

Command: select
Select objects: Specify opposite corner: 3 found
Select objects:
Command: (sssetfirst nil nil)
(nil nil)
Command: (setq ss (ssget "I"))
nil
Command: select
Select objects: p
3 found
Select objects: *Cancel*

I know that (command "_.erase") etc. will do the trick, but the challenge is to NOT use (command).

--
John Uhden, Cadlantic/formerly CADvantage
[ mailto:juhden@cadlantic.com ]
[ http://www.cadlantic.com ]
2 Village Road
Sea Girt, NJ 08750
Tel. 732-974-1711


"R. Robert Bell" wrote in message news:5BB3F6FC814A07CE382394DA3B5AC069@in.WebX.maYIadrTaRb...
> Beautiful Owen!
>
> Command: select
> Select objects: Specify opposite corner: 3 found
> Select objects:
> Command: (sssetfirst nil nil)
> (nil nil)
> Command: (ssget "I")
> nil
>
> --
> R. Robert Bell, MCSE
> www.AcadX.com
>
>
> "Owen Wengerd" wrote in message
> news:22CA0466C61C87C240623B00AD2D13A5@in.WebX.maYIadrTaRb...
> > John:
> >
> > > Is there a way to clear the previous selection set without
> > > using the (command) function?
> >
> > I believe any call to (ssget) sets the previous selection to the result.
> > Judicious use of (sssetfirst) and (ssget "I") might work. :smileyhappy:
> > --
> > Owen Wengerd
> > President, ManuSoft ==> http://www.manusoft.com
> > VP Americas, CADLock, Inc. ==> http://www.cadlock.com
> >
>
>
*Bell, R. Robert
Message 8 of 19 (105 Views)

Re:

03-04-2002 11:20 PM in reply to: *Uhden, John
;-)

I would have thought this would work, and indeed ActiveSelectionSet.Count is
0, but an (ssget "P") returns the old previous...

(vla-Clear (vla-Get-ActiveSelectionSet
(vla-Get-ActiveDocument (vlax-Get-Acad-Object))))

--
R. Robert Bell, MCSE
www.AcadX.com


"John Uhden" wrote in message
news:7625913686310A4E224A64391BC41F65@in.WebX.maYIadrTaRb...
> You didn't go far enough...
>
> Command: select
> Select objects: Specify opposite corner: 3 found
> Select objects:
> Command: (sssetfirst nil nil)
> (nil nil)
> Command: (setq ss (ssget "I"))
> nil
> Command: select
> Select objects: p
> 3 found
> Select objects: *Cancel*
>
> I know that (command "_.erase") etc. will do the trick, but the challenge
is to NOT use (command).
>
> --
> John Uhden, Cadlantic/formerly CADvantage
> [ mailto:juhden@cadlantic.com ]
> [ http://www.cadlantic.com ]
> 2 Village Road
> Sea Girt, NJ 08750
> Tel. 732-974-1711
>
>
> "R. Robert Bell" wrote in message
news:5BB3F6FC814A07CE382394DA3B5AC069@in.WebX.maYIadrTaRb...
> > Beautiful Owen!
> >
> > Command: select
> > Select objects: Specify opposite corner: 3 found
> > Select objects:
> > Command: (sssetfirst nil nil)
> > (nil nil)
> > Command: (ssget "I")
> > nil
> >
> > --
> > R. Robert Bell, MCSE
> > www.AcadX.com
> >
> >
> > "Owen Wengerd" wrote in message
> > news:22CA0466C61C87C240623B00AD2D13A5@in.WebX.maYIadrTaRb...
> > > John:
> > >
> > > > Is there a way to clear the previous selection set without
> > > > using the (command) function?
> > >
> > > I believe any call to (ssget) sets the previous selection to the
result.
> > > Judicious use of (sssetfirst) and (ssget "I") might work. :smileyhappy:
> > > --
> > > Owen Wengerd
> > > President, ManuSoft ==> http://www.manusoft.com
> > > VP Americas, CADLock, Inc. ==> http://www.cadlock.com
> > >
> >
> >
*Claypool, Jim
Message 9 of 19 (105 Views)

Re:

03-04-2002 11:30 PM in reply to: *Uhden, John
What is the big hang up on using (command) to accomplish a task that
otherwise might take forever to figure out?
Am I missing something? I like challenges as much as anybody, but sometimes
I see it here as an obsession.

"John Uhden" wrote in message
news:7625913686310A4E224A64391BC41F65@in.WebX.maYIadrTaRb...
> You didn't go far enough...
>
> Command: select
> Select objects: Specify opposite corner: 3 found
> Select objects:
> Command: (sssetfirst nil nil)
> (nil nil)
> Command: (setq ss (ssget "I"))
> nil
> Command: select
> Select objects: p
> 3 found
> Select objects: *Cancel*
>
> I know that (command "_.erase") etc. will do the trick, but the challenge
is to NOT use (command).
>
> --
> John Uhden, Cadlantic/formerly CADvantage
> [ mailto:juhden@cadlantic.com ]
> [ http://www.cadlantic.com ]
> 2 Village Road
> Sea Girt, NJ 08750
> Tel. 732-974-1711
>
>
> "R. Robert Bell" wrote in message
news:5BB3F6FC814A07CE382394DA3B5AC069@in.WebX.maYIadrTaRb...
> > Beautiful Owen!
> >
> > Command: select
> > Select objects: Specify opposite corner: 3 found
> > Select objects:
> > Command: (sssetfirst nil nil)
> > (nil nil)
> > Command: (ssget "I")
> > nil
> >
> > --
> > R. Robert Bell, MCSE
> > www.AcadX.com
> >
> >
> > "Owen Wengerd" wrote in message
> > news:22CA0466C61C87C240623B00AD2D13A5@in.WebX.maYIadrTaRb...
> > > John:
> > >
> > > > Is there a way to clear the previous selection set without
> > > > using the (command) function?
> > >
> > > I believe any call to (ssget) sets the previous selection to the
result.
> > > Judicious use of (sssetfirst) and (ssget "I") might work. :smileyhappy:
> > > --
> > > Owen Wengerd
> > > President, ManuSoft ==> http://www.manusoft.com
> > > VP Americas, CADLock, Inc. ==> http://www.cadlock.com
> > >
> >
> >
*Piercey, Jason
Message 10 of 19 (105 Views)

Re:

03-04-2002 11:36 PM in reply to: *Uhden, John
Maybe for the use with a reactor, where (command) is not allowed? Just
guessing....

--
-Jason

Member of the Autodesk Discussion Forum Moderator Program


> What is the big hang up on using (command) to accomplish a task that
> otherwise might take forever to figure out?

You are not logged in.

Log into access your profile, ask and answer questions, share ideas and more. Haven't signed up yet? Register

Announcements
Are you interested in helping shape the Autodesk Community?
We’re looking at a few different ways to improve the “All Forums” landing page and need your feedback! If interested, please take a few minutes to fill out the following Usability Study. Thank you for your time!

Need installation help?

Start with some of our most frequented solutions to get help installing your software.

Ask the Community